libxml2-dev update is broken

Bug #1165890 reported by Ukmeterman on 2013-04-07
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-notifier (Ubuntu)
Medium
Unassigned

Bug Description

james@james-P5K:~$ sudo apt-get install -f
[sudo] password for james:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  lib32gcc1 lib32stdc++6
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  libxml2-dev:i386
The following packages will be upgraded:
  libxml2-dev:i386
1 upgraded, 0 newly installed, 0 to remove and 34 not upgraded.
1 not fully installed or removed.
Need to get 0 B/761 kB of archives.
After this operation, 1,024 B of additional disk space will be used.
Do you want to continue [Y/n]? y
(Reading database ... 666880 files and directories currently installed.)
Preparing to replace libxml2-dev:i386 2.7.8.dfsg-5.1ubuntu4.3 (using .../libxml2-dev_2.7.8.dfsg-5.1ubuntu4.4_i386.deb) ...
Unpacking replacement libxml2-dev:i386 ...
dpkg: error processing /var/cache/apt/archives/libxml2-dev_2.7.8.dfsg-5.1ubuntu4.4_i386.deb (--unpack):
 './usr/bin/xml2-config' is different from the same file on the system
No apport report written because MaxReports has already been reached
                                                                    dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/libxml2-dev_2.7.8.dfsg-5.1ubuntu4.4_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
james@james-P5K:~$ ^C

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: update-notifier-common 0.119ubuntu8.6
ProcVersionSignature: Ubuntu 3.2.0-40.63-generic 3.2.40
Uname: Linux 3.2.0-40-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.0.1-0ubuntu17.1
Architecture: amd64
Date: Sun Apr 7 22:37:45 2013
ExecutablePath: /usr/lib/update-notifier/backend_helper.py
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
InterpreterPath: /usr/bin/python2.7
MarkForUpload: True
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/lib/update-notifier/backend_helper.py install_all_updates
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/lib/update-notifier/backend_helper.py', 'install_all_updates']
SourcePackage: update-notifier
Title: backend_helper.py crashed with libxml2-dev in _run()
UpgradeStatus: Upgraded to precise on 2012-05-10 (332 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare wireshark

Ukmeterman (ukmeterman) wrote :
information type: Private → Public
tags: removed: need-duplicate-check
Changed in update-notifier (Ubuntu):
importance: Undecided → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers